\name{plotL}
\alias{plotL}
\title{plotL: Plot the loadings of a \pkg{fabia} result}
\description{

  \code{plotL}: \R implementation of \code{plotL}.

  Plots the loadings of a \pkg{fabia} result that are above a threshold
  either as points, histogram or by a smooth scatter plot.

}
\usage{

plotL(res,n=1,p=NULL,w=NULL,type="points",intervv=500,off=0,t="p",cex=1) 


}
\arguments{
  \item{res}{\pkg{fabia} result.}
  \item{n}{the number of the bicluster to consider.}
  \item{p}{the quantile threshold above which values are returned (p or w must be given).}
  \item{w}{the value threshold above which values are returned (p or w must be given).}
  \item{type}{the type of the plot: \code{type=c("points","histogram","smoothScatter")}.}
  \item{intervv}{length of the interval bins for histogram plots.}
  \item{off}{offset of the interval bins from zero for histogram plots.}
  \item{t}{points type for the plot.}
  \item{cex}{size of the points for the plot.}

}
\details{


  Plots the loadings of a \pkg{fabia} result that are above a threshold
  either as points, histogram or by a smooth scatter plot.
  Thresholds can be given by a quantile or by a value.

  Implementation in \R.

}
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\examples{

data(res)

plotL(res,1,p=0.95,type="histogram",intervv=50)
plotL(res,1,p=0.95)
plotL(res,1,w=0.5)
plotL(res,1,p=0.95,type="smooth")
plotL(res,1,w=0.5,type="smooth")


}

\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{models,multivariate,cluster}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation,rare variants,rare SNPs, rare SNVs,rare haplotype clusters,short haplotype clusters}
